@import "assets/scss/global";
.students-list{
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: 100%;
    overflow: auto;
    &.has-data{
        padding: 10px;
    }
    &.no-data{
        height: 100%;
        padding-bottom: 10px;
        [class*='import-fail-wrapper']{
            padding: 0 10px;
        }
        .btn-action{
            width: 100%;
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            gap: 20px;
            padding: 10px 10px 0;

            button{
                height: 40px;
                box-shadow: none;
                svg{
                }

                &.btn-left{
                    svg{
                        path{
                            fill:$primary-color;
                        }
                    }
                    &:hover{
                        svg {
                            path {
                                fill: #FFF;
                                stroke: #FFF;
                            }
                        }
                    }
                }
                &.btn-right{
                    svg{
                        path{
                            fill:#FFF
                        }
                    }
                }

            }
        }
    }

    .import-fail{
        width: 100%;
        height: 43px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        gap: 6px;
        padding: 9px 16px;
        background: #ffd8d8;
        border-radius: 8px;
        border: 1px solid #f55252;

        .icon-close{
            cursor: pointer;
        }
        .content-des{
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 12px;

            span{
                font-weight: 400;
                font-size: 13px;
                line-height: 18px;
                color: #343434;

                &.underline{
                    color: #2f80ed;
                    text-decoration: underline;
                    cursor: pointer;
                }
            }
        }
    }
    .box-action-btn{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        width: 100%;
        flex: none;
        gap: 10px;
        .btn{
            display: flex;
            flex-direction: row;
            gap: 12px;
            justify-content: flex-end;
            flex: 1;
        }
    }
    .box-filter-action{
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 12px;
        .a-input-with-label{
            width: 430px;

            [class*='input-content']{
                height: 48px;
            }
            
        }
        .a-dropdown-select{
            width: 190px;
        }
        .a-button-reset{
            width: 150px;
            height: 40px;
            box-shadow: none;
            gap: 14px;
            cursor: pointer;
            border: 1px solid $secondary-color;
            color: $secondary-color;
            background: #FFF;
            svg{
                path{
                    fill: $secondary-color;
                }
            }
            &.disable{
                border: 1px solid $border-color;
                background: $secondary-color3;
                color: $border-color;
                cursor: not-allowed;
                svg {
                        path {
                            fill: $border-color;
                        }
                    }
            }
        }
    }
    .box-table-data{
        width: 100%;
        border-radius: 16px 16px 0 0;
        height: max-content;
        height: 100%;
        overflow: auto;
        table{
            width: 100%;
            table-layout: fixed;
            thead{
                tr{
                    background: #F9E5D7;
                    th{
                        height: 44px;
                        padding: 10px;
                        color: #8B5252;
                        font-weight: 600;
                        font-size: 13px;
                        line-height: 24px;

                        &:nth-child(1){
                            width: 150px;
                            padding-left: 24px;
                            text-align: left;
                        }
                        &:nth-child(2){
                            // width: 120px;
                            text-align: left;
                        }
                        &:nth-child(3){
                            // min-width: 180px;
                            
                            
                        }
                        &:nth-child(4){
                            // min-width: 180px;
                        }
                        &:nth-child(5){
                            // width: 120px;
                        }
                        &:nth-child(6){
                            // width: 120px;
                        }
                        &:nth-child(7){
                            width: 50px;
                        }
                    }
                }
            }
            tbody{
                tr{
                    background: #FFFFFF;
                    &:nth-child(2n){
                        background: #F7F8FC;
                    }
                    td{
                        height: 55px;
                        padding: 10px;
                        color: $dark-color;
                        text-align: center;
                        font-weight: 400;
                        font-size: 13px;
                        line-height: 20px;
                        width: 100%;
                        overflow: hidden;
                        white-space: nowrap;
                        text-overflow: ellipsis;

                        &:nth-child(1),&:nth-child(7){
                            svg{
                                cursor: pointer;
                            }
                        }
                        &:nth-child(1){
                            padding: 10px 10px 10px 14px;
                        }
                        &:nth-child(2), &:nth-child(3), &:nth-child(4){
                            text-align: left;
                            
                        }

                        &:nth-child(3){
                            a {
                                color: $secondary-color;
                            }
                        }

                    }
                }
            }
        }

        .no-data {
            position: relative;
            display: flex;            
            align-items: center;
            justify-content: center;
            height: calc(100% - 44px);
        }

        .no-student{
            width: 100%;
            height: 50vh;
            display: flex;
            justify-content: center;
            align-items: center;

            .content{
                display: flex;
                flex-direction: column;
                gap: 20px;
                align-items: center;

                span{
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 15px;
                    color: #4F4F4F;
                }

                button{
                    height: 40px;
                    min-width: 165px;
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 16px;
                    gap: 0;
                    svg {
                        margin: 0;
                        height: 30px;
                        width: auto;
                
                        path {
                            fill: $primary-color;
                        }
                    }

                    &:hover{
                        svg {
                            path {
                                fill: #FFF;
                            }
                        }
                    }
                }
            }
        }
    }
}

.box-content{
    padding: 10px;
    // text-align: left;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
}

.box-editor{
    // padding: 0 24px;
    display: flex;
    flex-direction: row;
    gap: 5px;
    height: 40px;
    input{
        height: 40px;
        width: 100px;
        padding: 10px;
        border: 1px solid #E2E5F2;
        border-radius: 8px;
        font-weight: 400;
        font-size: 13px;
        line-height: 20px;
        color: #202226;

        &.error {
            border: 1px solid #F82626;

            &:hover {
                border: 1px solid #F82626;
            }
        }

    }

    .action-student-code{
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}